Package twisted :: Package protocols :: Module wire :: Class Who

[frames | no frames]

## Class Who

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Who

Return list of active users (RFC 866)

Method Summary
| ``connectionMade`(self)` Called when a connection is made.
| ``getUsers`(self)` Return active users.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``dataReceived`(self, data)` Called whenever data is received.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### getUsers(self)

Return active users. Override in subclasses.

Generated by Epydoc 2.0 on Wed Feb 25 07:37:40 2004 | http://epydoc.sf.net